> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /workable/jobs

> Get a Workable job posting by company board handle and job shortcode

**Price:** 1 credit

**⚠️ Common errors:** 412: Job not found



## OpenAPI

````yaml /openapi/jobs.json post /api/workable/jobs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/workable/jobs:
    post:
      tags:
        - /workable
      summary: /workable/jobs
      description: |-
        Get a Workable job posting by company board handle and job shortcode

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Job not found
      operationId: __api_workable_jobs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkableJobPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkableJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WorkableJobPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        account:
          type: string
          minLength: 1
        shortcode:
          type: string
          minLength: 1
      type: object
      required:
        - account
        - shortcode
    WorkableJob:
      properties:
        '@type':
          type: string
          default: WorkableJob
        id:
          type: integer
        shortcode:
          type: string
        requirements:
          anyOf:
            - type: string
            - type: 'null'
        benefits:
          anyOf:
            - type: string
            - type: 'null'
        code:
          anyOf:
            - type: string
            - type: 'null'
        employment_type:
          anyOf:
            - type: string
            - type: 'null'
        is_remote:
          type: boolean
          default: false
        workplace:
          anyOf:
            - type: string
            - type: 'null'
        department:
          items:
            type: string
          type: array
          default: []
        language:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        approval_status:
          anyOf:
            - type: string
            - type: 'null'
        is_internal:
          type: boolean
          default: false
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        account_uid:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/WorkableJobLocation'
            - type: 'null'
        locations:
          items:
            $ref: '#/components/schemas/WorkableJobLocation'
          type: array
          default: []
        web_url:
          type: string
          default: ''
      type: object
      required:
        - id
        - shortcode
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WorkableJobLocation:
      properties:
        '@type':
          type: string
          default: WorkableJobLocation
        country:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````